# IMFToolbarPart Struct Reference
[MCFrame]

Inheritance diagram for IMFToolbarPart:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | SetCurrentTool (int32 inToolID, boolean inRedraw, boolean inNotify=true)=0
virtual void MCCOMAPI | SetLayoutOrientation (ELayoutOrientation inLayoutOrientation)=0
virtual void MCCOMAPI | SetLayoutStyle (ELayoutStyle inlayoutStyle)=0
virtual void MCCOMAPI | SetIsGlobal (boolean inIsGlobal)=0
virtual void MCCOMAPI | SetToolSelectRecipient (IMFResponder *recipient)=0
virtual void MCCOMAPI | SetToolManipulationResponder (IMFResponder *inResponder)=0
virtual void MCCOMAPI | SetRespectWindowActive (boolean inValue)=0
virtual int32 MCCOMAPI | GetCurrentTool ()=0
virtual ELayoutOrientation MCCOMAPI | GetLayoutOrientation () const =0
virtual ELayoutStyle MCCOMAPI | GetLayoutStyle () const =0
virtual void MCCOMAPI | AddToolsFromTBARResource (ResourceID inTBARID)=0
virtual void MCCOMAPI | AddTool (int32 inToolID, EToolStyle inToolStyle, ResourceID inImage[kTotalImages], int16 inToolKey, const TMCString &inName, ActionNumber inActionNumber, boolean inIsAlwaysEnabled, boolean inIsShadowed, int32 inAfterIndex, boolean inForceSticky=false)=0
virtual void MCCOMAPI | ResetTools ()=0
virtual void MCCOMAPI | EnableAllTools (boolean inEnabled)=0
virtual IMFResponder *MCCOMAPI | GetToolSelectRecipientNoAddRef ()=0
virtual IMFResponder *MCCOMAPI | GetToolManipulationResponderNoAddRef ()=0
virtual boolean MCCOMAPI | SelectTool (int32 inToolID)=0
virtual IMFPart *MCCOMAPI | GetThisPart ()=0

## Detailed Description

Interface for objects implementing toolbars. Toolbars are arrays of icons arranged either horizontally or vertically which can be clicked to cause actions or change states. Note that multiple related tools can be stacked in groups, which expand when their expand arroy is clicked or when the mouse is clicked and held on the tool.

Toolbars can be constructed manually using these functions, or from a TBAR resource. See MFRTypes.r for the definition of a TBAR resource structure. Note that there are special tool types for defining groups of tools to stack, as follows. The tools between these two keys in a TBAR resource will be stacked.

       		tBeginToolGroup, "", noKey, noAction, normalEnabling, style_normal { noShadow, 0, 0, 0, 0, 0, 0 },
       		tEndToolGroup, "", noKey, noAction, normalEnabling, style_normal { noShadow, 0, 0, 0, 0, 0, 0 },

To create a tool, you will assign the tool a numeric ID, an optional hotkey, an optional action, an enabling mode (see MFRTypes.r), an EToolStyle, and a set of UImg resource numbers which correspond to icons for the various states the tool can have. See EImageIndices for the list of tool states.

## Member Function Documentation

virtual void MCCOMAPI IMFToolbarPart::AddTool | ( | int32 | inToolID,
|  | EToolStyle | inToolStyle,
|  | ResourceID | inImage[kTotalImages],
|  | int16 | inToolKey,
|  | const TMCString & | inName,
|  | ActionNumber | inActionNumber,
|  | boolean | inIsAlwaysEnabled,
|  | boolean | inIsShadowed,
|  | int32 | inAfterIndex,
|  | boolean | inForceSticky = `false` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::AddToolsFromTBARResource | ( | ResourceID | inTBARID | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::EnableAllTools | ( | boolean | inEnabled | ) | `[pure virtual]`

virtual int32 MCCOMAPI IMFToolbarPart::GetCurrentTool | ( |  | ) | `[pure virtual]`

virtual ELayoutOrientation MCCOMAPI IMFToolbarPart::GetLayoutOrientation | ( |  | ) | const`[pure virtual]`

virtual ELayoutStyle MCCOMAPI IMFToolbarPart::GetLayoutStyle | ( |  | ) | const`[pure virtual]`

virtual IMFPart* MCCOMAPI IMFToolbarPart::GetThisPart | ( |  | ) | `[pure virtual]`

virtual IMFResponder* MCCOMAPI IMFToolbarPart::GetToolManipulationResponderNoAddRef | ( |  | ) | `[pure virtual]`

virtual IMFResponder* MCCOMAPI IMFToolbarPart::GetToolSelectRecipientNoAddRef | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::ResetTools | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFToolbarPart::SelectTool | ( | int32 | inToolID | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFToolbarPart::SetCurrentTool | ( | int32 | inToolID,
|  | boolean | inRedraw,
|  | boolean | inNotify = `true` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetIsGlobal | ( | boolean | inIsGlobal | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetLayoutOrientation | ( | ELayoutOrientation | inLayoutOrientation | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetLayoutStyle | ( | ELayoutStyle | inlayoutStyle | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetRespectWindowActive | ( | boolean | inValue | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetToolManipulationResponder | ( | IMFResponder * | inResponder | ) | `[pure virtual]`

virtual void MCCOMAPI IMFToolbarPart::SetToolSelectRecipient | ( | IMFResponder * | recipient | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFToolbarPart.h